- Aldebaran documentation |
- C++ Libraries |
- index

libqicore-api 2.8.7.4

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | Public Attributes | List of all members
qi::TaskCall< Future< T > > Class Template Reference

`#include <task-call.hpp>`

## Public Member Functions
| TaskCall ()
| TaskCall (AnyFunction f, TypeInterface *eff=0)
| ~TaskCall ()
virtual void | start (const AnyVarArguments &args)
void | onResult (Future< T > fut, boost::shared_ptr< bool > live)
virtual bool | interrupt ()
Public Member Functions inherited from qi::Task
| Task ()
virtual | ~Task ()

## Public Attributes
GenericProperty | result
AnyFunction | _f
Future< T > | _fut
boost::shared_ptr< bool > | _live
Public Attributes inherited from qi::Task
Property< bool > | running
| RO, Indicates if the task is currently running. More...
Property< std::string > | error

## Detailed Description

### template<typename T>
class qi::TaskCall< Future< T > >

Definition at line 54 of file task-call.hpp.

## Constructor & Destructor Documentation

template<typename T >

qi::TaskCall< Future< T > >::TaskCall | ( |  | ) |
| inline

Definition at line 57 of file task-call.hpp.

template<typename T >

qi::TaskCall< Future< T > >::TaskCall | ( | AnyFunction | f,
|  | TypeInterface * | eff = `0`
| ) |  |
| inline

Definition at line 60 of file task-call.hpp.

template<typename T >

qi::TaskCall< Future< T > >::~TaskCall | ( |  | ) |
| inline

Definition at line 69 of file task-call.hpp.

## Member Function Documentation

template<typename T >

virtual bool qi::TaskCall< Future< T > >::interrupt | ( |  | ) |
| inline virtual

Ask the task to interrupt itself.

Returns
  true if the request was successful. Does not imply that the Task is effectively stopped, but that it will eventually stop.

Implements qi::Task.

Definition at line 122 of file task-call.hpp.

template<typename T >

void qi::TaskCall< Future< T > >::onResult | ( | Future< T > | fut,
|  | boost::shared_ptr< bool > | live
| ) |  |
| inline

Definition at line 98 of file task-call.hpp.

template<typename T >

virtual void qi::TaskCall< Future< T > >::start | ( | const AnyVarArguments & | args | ) |
| inline virtual

Definition at line 74 of file task-call.hpp.

## Member Data Documentation

template<typename T >

AnyFunction qi::TaskCall< Future< T > >::_f

Definition at line 136 of file task-call.hpp.

template<typename T >

Future<T> qi::TaskCall< Future< T > >::_fut

Definition at line 137 of file task-call.hpp.

template<typename T >

boost::shared_ptr<bool> qi::TaskCall< Future< T > >::_live

Definition at line 138 of file task-call.hpp.

template<typename T >

GenericProperty qi::TaskCall< Future< T > >::result

Definition at line 135 of file task-call.hpp.

The documentation for this class was generated from the following file:

- /home/opennao/work/release-2.8/sdk/libqicore/libqicore/qicore/task-call.hpp